Loading...
Searching...
No Matches
kmp_tgt_memspace_list_t Class Reference

## Public Member Functions

void | init ()
| Initialize memory space list.
void | fini ()
| Release resources for the memory space list.
omp_memspace_handle_t | get_memspace (int num_devices, const int *devices, int host_access, omp_memspace_handle_t memspace)
| Return memory space for the provided input.
omp_memspace_handle_t | get_memspace (int num_resources, const int *resources, omp_memspace_handle_t parent)
| Return sub memory space from the parent memory space.

## Private Member Functions

kmp_memspace_t * | find (int num_resources, const int *resources, omp_memspace_handle_t memspace)
| Find memory space that matches the provided input.
omp_memspace_handle_t | get (int num_resources, const int *resources, omp_memspace_handle_t memspace)

## Detailed Description

Maintain a list of target memory spaces that are identified with the requested information. There will be only one unique memory space object that matches the input.

Definition at line 1346 of file kmp_alloc.cpp.

## Member Function Documentation

## get()

omp_memspace_handle_t kmp_tgt_memspace_list_t::get | ( | int | num_resources,
|  | const int * | resources,
|  | omp_memspace_handle_t | memspace
| ) |  |

inline private

Return memory space for the provided input. It tries to find existing memory space that exactly matches the provided input or create one if not found.

Definition at line 1364 of file kmp_alloc.cpp.

Referenced by get_memspace(), and get_memspace().

The documentation for this class was generated from the following file:

- kmp_alloc.cpp